package kiba300.tonspieler;

import java.util.*;

public class TonspielerPlay implements iTonspieler
{
    private ArrayList<Tonthread> prozessliste = new ArrayList<Tonthread>();

    public String prefix = "";

    public TonspielerPlay()
    {
        String pfad = kiba300.Kiba.class.getProtectionDomain().getCodeSource().getLocation().getPath();  
System.out.println("Pfad="+pfad);
        //Jar-File-Name entfernen:
        int i = pfad.length()-1;
        while(pfad.charAt(i)!='/')
            i--;
        pfad = pfad.substring(0,i);

        prefix = pfad+"/tonleiter7/ton";
        
        for(int ii=0;ii<100;ii++)
            prozessliste.add(new Tonthread());
    }

    public void spieleTon(int hoehe)
    {
        //play prefix+hoehe+".wav"

        boolean erfolg = false;

        for(int i=0;i<prozessliste.size();i++)
        {
            Tonthread tt = prozessliste.get(i);
            erfolg = tt.starteProzess("play "+prefix+hoehe+".mp3");
            if(erfolg)
                break;
        }

        if(!erfolg)
        {
            Tonthread tt = new Tonthread();
            tt.starteProzess("play "+prefix+hoehe+".mp3");
            prozessliste.add(tt);
        }
    }
    public void spieleTon(int midihoehe, int laute)
    {
        spieleTon(midihoehe);
    }
    public void spieleTon(int midihoehe, int laute, int kanal)
    {
        spieleTon(midihoehe);
    }
    
}
