package kiba300.tonspieler;

import kiba300.linuxsystem.Linuxsystem;

public class Tonthread implements Runnable
{
    private Linuxsystem linuxsystem = new Linuxsystem();
    private String befehl;

    public boolean empfangsbereit = false;
    public boolean befehlliegtan = false;

    public Tonthread()
    {
        Thread thread = new Thread(this);
        thread.start();
    }

    public boolean starteProzess(String befehl)
    {
        if(empfangsbereit)  
        {          
            empfangsbereit = false;
            befehlliegtan  = false;
            this.befehl    = befehl;
            befehlliegtan  = true;
            return true;
        }
        else
        {
            return false;
        }
    }

    public void run()
    {
        while(true)
        {
            if(befehlliegtan)            
            {
                befehlliegtan = false;
                linuxsystem.syst(befehl);
            }

            empfangsbereit = true;

            try
            {
                Thread.sleep(5);
            }
            catch(Exception e)
            {
            }
        }
    }
}


